[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Bug #1550779 reported by Hubert Hesse on 2016-02-27
472
This bug affects 105 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned

Bug Description

Upgraded linux-image-extra-4.2.0-30-generic I see graphic glitches, looks like the graphic buffer gets screwed up

- funny repetition's patterns (back in time glitches)
- black screen (<1sec)
- graphic errors

I can influence the severity of the issue with switching windows and using certain programs, e.g. Google Maps in chrome causes this issue reproducibly

dmesg | grep i915
[ 2.726864] [drm] Initialized i915 1.6.0 20150522 for 0000:00:02.0 on minor 0
[ 2.792005] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[ 3.471092] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 3.471093] i915 0000:00:02.0: registered panic notifier
[ 9.573129] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 9.574847] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[ 9.574895] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

linux-image-extra-4.2.0-27-generic works find

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: xorg 1:7.7+7ubuntu4
ProcVersionSignature: Ubuntu 4.2.0-30.36-generic 4.2.8-ckt3
Uname: Linux 4.2.0-30-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
BootLog:

CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Sat Feb 27 20:26:07 2016
DistUpgraded: Fresh install
DistroCodename: wily
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.0.14, 4.2.0-27-generic, x86_64: installed
 virtualbox, 5.0.14, 4.2.0-30-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21da]
InstallationDate: Installed on 2016-02-11 (15 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: LENOVO 42912XG
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.2.0-30-generic root=UUID=cb34d7bb-9316-49b3-aa94-4e2a3512168f ro rootflags=subvol=@ noprompt quiet
SourcePackage: xorg
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/18/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET69WW (1.39 )
dmi.board.asset.tag: Not Available
dmi.board.name: 42912XG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET69WW(1.39):bd07/18/2013:svnLENOVO:pn42912XG:pvrThinkPadX220:rvnLENOVO:rn42912XG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 42912XG
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.12.2+15.10.20151202-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.0.2-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.0.2-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu9.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3
xserver.bootTime: Sat Feb 27 20:25:23 2016
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 12359
 vendor SEC
xserver.version: 2:1.17.2-1ubuntu9.1

Hubert Hesse (hubx) wrote :
Hubert Hesse (hubx) wrote :
Hubert Hesse (hubx) wrote :

See recording on http://tinypic.com/r/2wpt74m/9 (glitches where not visible on a direct screen grab)

With the previous kernel I don't see the glitches nor the i915 underruns
$ uname -a
Linux river 4.2.0-27-generic #32-Ubuntu SMP Fri Jan 22 04:49:08 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
$ dmesg | grep i915
[ 2.698444] [drm] Initialized i915 1.6.0 20150522 for 0000:00:02.0 on minor 0
[ 2.763865] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[ 3.498858] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 3.498859] i915 0000:00:02.0: registered panic notifier

summary: - [i915]] *ERROR* CPU pipe A FIFO underrunXorg glitches
+ [i915]] *ERROR* CPU pipe A FIFO underrun - Xorg glitches
Hubert Hesse (hubx) wrote :

Maybe a duplicate of https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1522922 ... weird that it only occurs in the latest kernel package

tags: added: bios-outdated-1.40
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
1 comments hidden view all 120 comments
Hubert Hesse (hubx) wrote :

Ah, thanks for pointing out the BIOS update. However it didn't change anything related to the issue.

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
8DET70WW (1.40 )
05/14/2015

The flickering is also present for me in the latest mainline
$uname -a
Linux river 4.4.3-040403-generic #201602251634 SMP Thu Feb 25 21:36:25 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
$ dmesg | grep i915
[ 2.538980] i915: unknown parameter 'lvds_downclock' ignored
[ 2.778824] [drm] Initialized i915 1.6.0 20151010 for 0000:00:02.0 on minor 0
[ 4.319937] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 69.185831] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 69.186167] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[ 69.186184] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

since lvds_downclock is mentioned I wanted to point out my power saving options:
$ cat /etc/modprobe.d/i915.conf
options i915 enable_rc6=1 enable_fbc=1 lvds_downclock=1 semaphores=1

However removing them doesn't change anything

Changed in xorg (Ubuntu):
status: Incomplete → New

Hubert Hesse, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-1.40
removed: bios-outdated-1.40
tags: added: regression-update
affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Low → Medium
status: New → Incomplete
Hubert Hesse (hubx) wrote :

Hi Christopher,

4.5 rc5 has indeed fixed the issue for me. Thanks a lot :)

$ uname -a
Linux river 4.5.0-040500rc5-generic #201602201730 SMP Sat Feb 20 22:32:16 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ dmesg | grep i915
[ 2.513449] i915: unknown parameter 'lvds_downclock' ignored
[ 2.743658] [drm] Initialized i915 1.6.0 20151218 for 0000:00:02.0 on minor 0
[ 4.275935] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 5.396543] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])

tags: added: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc5
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Hubert Hesse (hubx) wrote :

Ah no, I was to quick to judge. Now the error occurred with 4.5rc5, but it is less frequent. And the quality of the glitches change.
No more repetition errors, just "regular" graphic errors.

$ dmesg | grep i915
[ 2.513449] i915: unknown parameter 'lvds_downclock' ignored
[ 2.743658] [drm] Initialized i915 1.6.0 20151218 for 0000:00:02.0 on minor 0
[ 4.275935] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 5.396543] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 1027.095396] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 1027.095477] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[ 1027.095530] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.5-rc5
removed: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc5

Hubert Hesse, the next step is to fully commit bisect from kernel 4.2.0-27 to 4.2.0-30 in order to identify the last good kernel commit, followed immediately by the first bad one. This will allow for a more expedited analysis of the root cause of your issue. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the offending commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: needs-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Hubert Hesse (hubx) wrote :

So it turn out when I rebuild the package for 4.2.0-27 I already see that glitches occurring in that specific kernel version. So it look like there is difference between the package I built and the official package or I screwed up the build process?

Here is what I did, I have to say the wik page you linked was very verbose. I know what git bisect works, however I don't how to build a Ubuntu kernel package (kteam-tools produced some errors for me)

I took the steps from https://wiki.ubuntu.com/KernelTeam/GitKernelBuild#Using_Ubuntu_Kernel_Configuration
Can you check if those steps should produce a correct package?

sudo apt-get install git build-essential kernel-package fakeroot libncurses5-dev libssl-dev ccache --no-install-recommends # because of texlive

git clone git://kernel.ubuntu.com/ubuntu/ubuntu-wily.git
cd ubuntu-wily/
cp -a /usr/share/kernel-package ubuntu-package

cp debian/control-scripts/{postinst,postrm,preinst,prerm} ubuntu-package/pkg/image/
cp debian/control-scripts/headers-postinst ubuntu-package/pkg/headers/

# set up ccache because I thought this will save time while bisecting -- however mostly cache misses
vim ~/.bashrc
if [ -d /usr/lib/ccache ]; then
        export PATH=/usr/lib/ccache:"${PATH}"
        export CCACHE_NLEVELS=5
fi
ccache -M 10G

cp /boot/config-4.2.0-27-generic .config
make localmodconfig # because building all modules takes forever
make oldconfig

CONCURRENCY_LEVEL=`getconf _NPROCESSORS_ONLN` fakeroot make-kpkg --initrd --append-to-version=-custom --overlay-dir=$(pwd)/ubuntu-package kernel_image kernel_headers

cd ..
dpkg -i *.deb

#git tag --list
#git bisect start
#git bisect good Ubuntu-4.2.0-27.32
#git bisect bad Ubuntu-4.2.0-30.36
# Here I did noticed that after the 6 commits all commits where bad. Then I checked the assumption that "Ubuntu-4.2.0-27.32" was good, it was not

Hubert Hesse (hubx) wrote :

any news on this?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bios-outdated-1.42
removed: latest-bios-1.40
Hubert Hesse (hubx) wrote :

Can anyone confirm the steps I took where all right?
What's the difference between the kernel I compiled and the officially distributed one (4.2.0-27)? Any patches to reproduce the official binary?

Hubert Hesse (hubx) on 2016-04-14
tags: removed: needs-bisect
PocketSam (pocketsam) wrote :

Same problem for me. I can easily reproduce a problem my moving mouse over youtube video borders. If it's needed I can record a video. Should I do that?

tags: added: needs-bisect
Alexander List (alexlist) wrote :

Still happening on Xenial with latest distro kernel:

[ 12.777803] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 12.777826] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

Linux hkgofdt02 4.4.0-21-generic #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04 LTS
Release: 16.04
Codename: xenial

PocketSam (pocketsam) wrote :

What can I do to help determine the cause of a problem or fix it?

Hubert Hesse (hubx) wrote :
PocketSam (pocketsam) wrote :

Also a funny glitches happen with Google Documents very often.

PocketSam, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

PocketSam (pocketsam) wrote :

Christopher, I hope I did everything right.
Here is my new bug report:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1577099

Hubert Hesse (hubx) wrote :

I'm still seeing the issue with latest:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4.10-xenial/
Where other people report the issues are fixed for them

However not as severe as with 4.2.0-30.36

Can someone please advise what to do? My questions from #14 are still unaddressed:
Can anyone confirm the steps I took where all right?
What's the difference between the kernel I compiled and the officially distributed one (4.2.0-27)? Any patches to reproduce the official binary?

Dirk Heumann (dirk-heumann) wrote :

Hi all, I was bugged by this both in Ubuntu 16.04 (any 4.4 kernel after release) and in ArchLinUX with all actual 4.5 kernels.
My solution was to take the 4.6 kernel on ArchLinUX (testing repository), after which I was cured from all difficulties. If you use VirtualBox with a new 4.4/4.5 kernel in your client, you get very often bugged by this failure.
--> If you can, use LinUX kernel 4.6.

Hubert Hesse (hubx) wrote :

I can also confirm that upgrading to 16.04 and using a 4.6 kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety/) solves the issue for me.

tags: added: kernel-fixed-upstream-4.6 needs-reverse-bisect
removed: needs-bisect

Hubert Hesse, the next step is to fully reverse commit bisect from kernel 4.5-rc5 to 4.6 in order to identify the last bad commit, followed immediately by the first good one. Once this good commit has been identified, it may be reviewed for backporting. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the fix commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
PocketSam (pocketsam) wrote :

If I understand correctly we should install different linux kernel versions untill we find a kernel, that fixes bug?
I'm a bit confused what link I should use to sort out kernels. Can you suggest, please?
Try kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/ from v 4.4 to 4.6. ?

bhat3 (bhat3) wrote :

@Christopher To demand a full bisect for the status "confirmed" is IMHO much over the edge, especially as it takes some time to trigger the bug.

@PocketSam Although Chrisopher's advice is right to follow, if you gather the information with which mainline kernel the bug disapers it would still be good. And you don't need so much technical background or time in my case ;)

pavel bursa (bursap) wrote :

Linux xenie 4.4.0-24-generic #43-Ubuntu SMP
Intel® Core™ i3-4160 CPU @ 3.60GHz × 4
Ubuntu 16.04 LTS 64 bit

[Út čen 14 00:11:03 2016] vboxpci: IOMMU not found (not registered)
[Út čen 14 00:11:03 2016] nf_conntrack: automatic helper assignment is deprecated and it will be removed soon. Use the iptables CT target to attach helpers instead.
[St čen 15 00:18:28 2016] perf interrupt took too long (2512 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
[St čen 15 01:37:31 2016] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe A
[St čen 15 01:37:31 2016] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[St čen 15 01:40:53 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: ELD buf size is 0, force 128
[St čen 15 01:40:53 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: invalid ELD data byte 0
[St čen 15 02:08:53 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: ELD buf size is 0, force 128
[St čen 15 02:08:53 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: invalid ELD data byte 0
[St čen 15 02:08:55 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: ELD buf size is 0, force 128
[St čen 15 02:08:55 2016] snd_hda_codec_hdmi hdaudioC0D0: HDMI: invalid ELD data byte 0
[St čen 15 19:56:52 2016] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe A
[St čen 15 19:56:52 2016] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[St čen 15 20:28:09 2016] usb 3-9.1: USB disconnect, device number 3

bhat3 (bhat3) wrote :

@pavel See https://wiki.ubuntu.com/Kernel/MainlineBuilds and try which newer kernel solves the issue.

elleP (pelle-quicknet) wrote :

While much less frequent than when using a 4.4 kernel, the problem still occurs for me when using a 4.6 kernel:

uname -a
4.6.0-040600-generic #201606030904 SMP Fri Jun 3 13:06:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

dmesg
[31606.245708] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[31606.245846] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[40612.123848] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[40612.123987] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

Ubuntu 16.04 LTS
Intel(R) Core(TM) i5 CPU M 520
Thinkpad T410

alphac (alphac) wrote :

Happens the same with 4.4.0-24-generic

Anthony Roach (anthony.roach) wrote :

I was having this same problem running kernel 4.4.0-28-generic in 16.04. Upgrading to kernel 4.6.3-040603-generic seems to have resolved the problems (or at least made it rare enough that I don't notice it anymore). On 4.4 the graphic errors were particular common (every few seconds) when using gotomeeting or other video chat web sites that use WebRTC via Google Chrome (with Chrome video acceleration turned off). The screen going blank for 1 second problem seemed particularly common when alt-tabbing between Gnome Terminal instances. The "*ERROR* CPU pipe A FIFO underrun" in dmesg has also stopped.

Anthony Roach (anthony.roach) wrote :

Correct to my previous comment. After running on kernel 4.6.3-040603-generic I do still see the "funny repetition patterns (back in time glitches)", but it seems less frequent. The other problems (black screen and buffer underrun in dmesg) have not recurred.

bhat3 (bhat3) wrote :

I actually switch back to my x230 and don't have the hardware for testing, but we should really bisect this issue so the current xenial kernel can be fixed.

Anyone who wants to help can test those kernels https://wiki.ubuntu.com/Kernel/MainlineBuilds especially the late 4.4 and the early 4.5 i guess the fix came in between. Just install and reboot :)

Hubert Hesse (hubx) wrote :

I don't see the need for a bisect. To quote https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1522922/comments/125
"There's one thing I still don't understand... the root of the problem was identified in https://bugs.freedesktop.org/show_bug.cgi?id=91393#c25"

The associated patch http://patchwork.freedesktop<email address hidden> revert two commits identified there.
These have to backported to archive the same experience as on the latest 4.6

My original question from #14 remains
Can anyone confirm the steps I took where all right?
What's the difference between the kernel I compiled and the officially distributed one (4.2.0-27)? Any patches to reproduce the official binary?

bhat3 (bhat3) wrote :

@Hubert Of course it doesn't need a bisect when you already know the commit the fixes it :) But i would sugest that we try to get it fixed in xenial's kernel first. Unfortunately i can't assign the kernel team, can you help out here?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

bhat3, unfortunately, we don't know if the commit fixes it, as it hasn't been tested on the original reporter's (Hubert Hesse) hardware.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Hubert Hesse, regarding your question, bisecting the Ubuntu kernel can be tricky, hence you are better off refocusing onto the reverse bisect of the mainline kernel to confirm the fix commit, and reverting it causes the issue again.

bhat3 (bhat3) wrote :

@penalvch Thanks for the info, but can you assist us on how to test and get a fix in xenial's kernel. I am out of kernel packaging since 2.6.33 and want to help to make xenial working on Thinkpads with docking stations.

bhat3, if one thinks they have identified a fix commit, they may test it via https://wiki.ubuntu.com/Kernel/KernelBisection#Testing_a_newly_released_patch_from_upstream .

40 comments hidden view all 120 comments

For Intel GLK user: There is a upstream bug opened and fixed: https://bugs.freedesktop.org/show_bug.cgi?id=100302

And this patch works for me on Intel Gemini Lake platform: https://github.com/torvalds/linux/commit/ed69cd40685c949ec9c65701758bbf9e6840240f

This patch is merged starting from v4.15-rc1

Sergei Mikhailov (pandamonium) wrote :

@Tomasz Przybysz
i915.enable_rc6=0 as a workaround doesn't seem to work.

I have similar symptoms as Angelo Lisco. I leave laptop on overnight and sometimes in the morning it got frozen with same underrun error message in logs.

enable_rc6 is definitely set to 0:
$ cat /sys/class/drm/card0/power/rc6_enable
0

And the bug is still there with kernel 4.15.10 =( just a heads up

Will Foster (wfoster-b) wrote :

This still occurs for me on kernel 4.15.12.

Myna Mefirst (myna6p) wrote :

Like others, this still occurs on 4.15.13-041513-lowlatency with a clean install of 16.04.

However, please note: It ONLY occurs if I am connected from my laptop's docking station (HP 840 G2) to an external monitor (HDMI or DVI same issue), AND the laptop lid is DOWN.

If the above is true i get the same error, or the funny graphics, etc.

However, if i keep the laptop lid OPEN, even though i am still connected to the external screen, i have NO problem booting up.

Will Foster (wfoster-b) wrote :

For me this manifests in lockups. The hardware buttons on my laptop still work, fans etc. but xorg basically hard locks (Kernel 4.15.12)

Will Foster (wfoster-b) wrote :

For me this manifests in lockups. The hardware buttons on my laptop still work, fans etc. but xorg basically hard locks (Kernel 4.15.12). There is no monitor in play.

Oli (olze) wrote :

I am running Ubuntu 18.04 since about a month. No problems so far, until i made an update 2 or 3 days ago. Since then i have the same problem. Messages in dmesg with underrun, flickering screen etc.
It happens all the time. This happens on my htpc so i am not able to watch TV longer than 5-10 minutes, then it starts again with flickering.
I also tried that rc6_enable-workaround, did not help.
Any help is appreciated!

Will Foster (wfoster-b) wrote :

Still happening on 4.16.6 kernel for me.

Renardo (renardo) wrote :

I have been experiencing this kind of problem (with intel_cpu_fifo_underrun_irq_handler in syslog) for a couple of weeks now on Ubuntu 17.10 (4.13.0-39-generic). Here's the syslog extract:

    May 9 13:18:57 xx zeitgeist-datah[2322]: recent-manager-provider.vala:106: (null) was not registered in RecentInfo item 0x55b07472c020
    May 9 13:19:58 xx kernel: [834627.678287] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
    May 9 13:19:58 xx /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): EDID vendor "FUS", prod id 1957
    May 9 13:19:58 xx /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): Using hsync ranges from config file
    May 9 13:19:58 xx /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): Using vrefresh ranges from config file
    May 9 13:19:58 xx /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): Printing DDC gathered Modelines:
    May 9 13:19:58 xx /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): Modeline "1920x1080"x0.0 148.50 1920 2008 2052 2200 1080 1089 1095 1125 +hsync +vsync (67.5 kHz eP)
    May 9 13:19:58 sanchopansa09 /usr/lib/gdm3/gdm-x-session[1843]: (II) modeset(0): Modeline "800x600"x0.0 40.00 800 840 968 1056 600 601 605 628 +hsync +vsync (37.9 kHz e)

Mostly the secondary screen goes (and stays) black when this happens, sometimes the primary notebook (Lenovo) screen. Interestingly, the secondary screen usually comes back when I open “change background” from the context menu (on the primary screen). I need not actually change the background, just open “change background.”

Often when the screen starts flickering and goes black there is the sound of really heavy disk activity, maybe more than justifiable by sys-logging.

rwms (rwms-cy) wrote :

Still happening on kernel 4.15.0-24
Xubuntu 18.04 LTS
Lenovo ThinkPad T480 on a dock and DP monitor connected.

Both screens go black when trying to unlock the session and I have to restart the laptop.

srinivas (vsrinu26f) wrote :

[ 17.172263] snd_hda_intel 0000:00:0e.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 17.177437] EDAC pnd2: b_cr_tolud_pci=080000001 ret=0
[ 17.177495] EDAC pnd2: b_cr_touud_lo_pci=000000000 ret=0
[ 17.177536] EDAC pnd2: b_cr_touud_hi_pci=000000001 ret=0
[ 17.177577] EDAC pnd2: b_cr_asym_mem_region0_mchbar=000000000 ret=0
[ 17.177619] EDAC pnd2: b_cr_asym_mem_region1_mchbar=000000000 ret=0
[ 17.177659] EDAC pnd2: b_cr_mot_out_base_mchbar=000000000 ret=0
[ 17.177700] EDAC pnd2: b_cr_mot_out_mask_mchbar=000000000 ret=0
[ 17.177781] EDAC pnd2: b_cr_slice_channel_hash=80000d8c00000245 ret=0
[ 17.177823] EDAC pnd2: b_cr_asym_2way_mem_region_mchbar=000000000 ret=0
[ 17.177865] EDAC pnd2: d_cr_drp0=04488c091 ret=0
[ 17.177907] EDAC pnd2: d_cr_drp0=04488c091 ret=0
[ 17.177948] EDAC pnd2: d_cr_drp0=000000000 ret=2
[ 17.177988] EDAC pnd2: d_cr_drp0=000000000 ret=2
[ 17.177989] EDAC pnd2: Unsupported DIMM in channel 0
[ 17.177990] EDAC pnd2: Unsupported DIMM in channel 1
[ 17.177991] EDAC pnd2: Failed to register device with error -22.
[ 17.217570] intel_telemetry_core Init

[ 52.411051] logitech-hidpp-device 0003:046D:4024.000C: input,hidraw2: USB HID v1.11 Keyboard [Logitech K400] on usb-0000:00:15.0-2:2
[ 52.417924] input: Logitech M325 as /devices/pci0000:00/0000:00:15.0/usb1/1-2/1-2:1.2/0003:046D:C52B.000A/0003:046D:400A.000D/input/input22
[ 52.418176] logitech-hidpp-device 0003:046D:400A.000D: input,hidraw3: USB HID v1.11 Mouse [Logitech M325] on usb-0000:00:15.0-2:3
[ 52.817157] i2c_hid i2c-ELAN0630:00: i2c_hid_get_input: incomplete report (14/65535)
[ 60.934218] logitech-hidpp-device 0003:046D:400A.000D: HID++ 2.0 device connected.
[ 319.677829] kauditd_printk_skb: 15 callbacks suppressed
[ 319.677832] audit: type=1400 audit(1538217366.137:27): apparmor="DENIED" operation="open" profile="/usr/sbin/cups-browsed" name="/usr/local/lib/libgcrypt.so.20.2.2" pid=3054 comm="cups-browsed" requested_mask="r" denied_mask="r" fsuid=0 ouid=0
[ 319.679599] audit: type=1400 audit(1538217366.141:28): apparmor="DENIED" operation="open" profile="/usr/sbin/cups-browsed" name="/usr/local/lib/libgpg-error.so.0.22.0" pid=3054 comm="cups-browsed" requested_mask="r" denied_mask="r" fsuid=0 ouid=0
[ 517.984726] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

srinivas (vsrinu26f) wrote :
Download full text (3.7 KiB)

    description: Notebook
    product: 81A4 (LENOVO_MT_81A4_BU_idea_FM_ideapad 120S-11IAP)
    vendor: LENOVO
    version: Lenovo ideapad 120S-11IAP
    serial: YD033K9M
    width: 64 bits
    capabilities: smbios-3.0 dmi-3.0 vsyscall32
    configuration: administrator_password=enabled boot=normal chassis=notebook family=ideapad 120S-11IAP frontpanel_password=disabled keyboard_password=disabled power-on_password=disabled sku=LENOVO_MT_81A4_BU_idea_FM_ideapad 120S-11IAP uuid=EB696E64-DB11-1720-1012-184233000000
  *-core
       description: Motherboard
       product: LNVNB161216
       vendor: LENOVO
       physical id: 0
       version: SDK0J91216 WIN
       serial: YD033K9M
       slot: Part Component
     *-cache:0
          description: L1 cache
          physical id: 0
          slot: L1 Cache
          size: 24KiB
          capacity: 24KiB
          capabilities: synchronous internal write-back data
          configuration: level=1
     *-cache:1
          description: L1 cache
          physical id: 1
          slot: L1 Cache
          size: 32KiB
          capacity: 32KiB
          capabilities: synchronous internal write-back instruction
          configuration: level=1
     *-cache:2
          description: L2 cache
          physical id: 2
          slot: L2 Cache
          size: 1MiB
          capacity: 1MiB
          capabilities: synchronous internal write-back unified
          configuration: level=2
     *-cpu
          description: CPU
          product: Intel(R) Celeron(R) CPU N3350 @ 1.10GHz
          vendor: Intel Corp.
          physical id: 3
          bus info: cpu@0
          version: Intel(R) Celeron(R) CPU N3350 @ 1.10GHz
          serial: To Be Filled By O.E.M.
          slot: U3E1
          size: 1134MHz
          capacity: 2400MHz
          width: 64 bits
          clock: 100MHz
          capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology tsc_reliable nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 sdbg cx16 xtpr pdcm sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave rdrand lahf_lm 3dnowprefetch cpuid_fault cat_l2 ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust smep erms mpx rdt_a rdseed smap clflushopt intel_pt sha_ni xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts arch_capabilities cpufreq
          configuration: cores=2 enabledcores=2 threads=2
     *-memory
          description: System Memory
          physical id: 4
          slot: System board or motherboard
          size: 2GiB
        *-bank:0
             description: DIMM Synchronous 2133 MHz (0.5 ns)
             product: K4F8E304HB-MGCJ
             vendor: Samsung
             physical id: 0
             serial: 00000000
             slot: ChannelA-DIMM0
             size: 1GiB
             width: 8 bits
             clock: 2133MHz (0.5ns)
        *-bank:1
             description: DIMM Synchronous 2133 MHz (0.5 ns)
             product: K4F8E304HB-MGCJ
           ...

Read more...

Paulo (ptsneves) wrote :

This ticket is from 2016. A fifo underrun is a clear problem. I can reproduce this easily with my external monitor.
What information do you need to look at this?

shaju (shaju) wrote :
Download full text (3.9 KiB)

shaju@678:~$ dmesg | grep i915
[ 2.088602] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ 2.103420] [drm] Initialized i915 1.6.0 20171023 for 0000:00:02.0 on minor 0
[ 2.264884] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[10947.862266] WARNING: CPU: 1 PID: 1174 at /build/linux-hwe-O570pP/linux-hwe-4.15.0/drivers/gpu/drm/i915/intel_display.c:1247 assert_plane+0x98/0xa0 [i915]
[10947.862307] nf_nat_ftp nf_nat binfmt_misc nf_conntrack_ftp nf_conntrack libcrc32c iptable_filter parport_pc ppdev ip_tables x_tables lp parport autofs4 ums_realtek hid_generic usbhid hid uas usb_storage i915 i2c_algo_bit drm_kms_helper psmouse syscopyarea sysfillrect sysimgblt fb_sys_fops wmi sky2 drm video
[10947.862365] RIP: 0010:assert_plane+0x98/0xa0 [i915]
[10947.862417] assert_planes_disabled.isra.96+0x4d/0x70 [i915]
[10947.862453] intel_disable_pipe+0x58/0x190 [i915]
[10947.862512] i9xx_crtc_disable+0x7e/0x410 [i915]
[10947.862549] intel_atomic_commit_tail+0x1f4/0xd90 [i915]
[10947.862585] intel_atomic_commit+0x282/0x2b0 [i915]
[10947.862673] intel_fbdev_set_par+0x1a/0x70 [i915]
[10947.880823] WARNING: CPU: 0 PID: 1174 at /build/linux-hwe-O570pP/linux-hwe-4.15.0/drivers/gpu/drm/i915/intel_display.c:1247 assert_plane+0x98/0xa0 [i915]
[10947.880864] nf_nat_ftp nf_nat binfmt_misc nf_conntrack_ftp nf_conntrack libcrc32c iptable_filter parport_pc ppdev ip_tables x_tables lp parport autofs4 ums_realtek hid_generic usbhid hid uas usb_storage i915 i2c_algo_bit drm_kms_helper psmouse syscopyarea sysfillrect sysimgblt fb_sys_fops wmi sky2 drm video
[10947.880921] RIP: 0010:assert_plane+0x98/0xa0 [i915]
[10947.880973] assert_planes_disabled.isra.96+0x4d/0x70 [i915]
[10947.881009] intel_enable_pipe+0x58/0x200 [i915]
[10947.881045] i9xx_crtc_enable+0x373/0x480 [i915]
[10947.881082] intel_update_crtc+0x47/0xa0 [i915]
[10947.881117] intel_update_crtcs+0x5d/0x70 [i915]
[10947.881153] intel_atomic_commit_tail+0x3ad/0xd90 [i915]
[10947.881189] intel_atomic_commit+0x282/0x2b0 [i915]
[10947.881288] intel_fbdev_set_par+0x1a/0x70 [i915]
[10947.900888] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[11015.563288] WARNING: CPU: 0 PID: 997 at /build/linux-hwe-O570pP/linux-hwe-4.15.0/drivers/gpu/drm/i915/intel_display.c:1247 assert_plane+0x98/0xa0 [i915]
[11015.563353] nf_nat_ftp nf_nat binfmt_misc nf_conntrack_ftp nf_conntrack libcrc32c iptable_filter parport_pc ppdev ip_tables x_tables lp parport autofs4 ums_realtek hid_generic usbhid hid uas usb_storage i915 i2c_algo_bit drm_kms_helper psmouse syscopyarea sysfillrect sysimgblt fb_sys_fops wmi sky2 drm video
[11015.563430] RIP: 0010:assert_plane+0x98/0xa0 [i915]
[11015.563497] assert_planes_disabled.isra.96+0x4d/0x70 [i915]
[11015.563542] intel_disable_pipe+0x58/0x190 [i915]
[11015.563613] i9xx_crtc_disable+0x7e/0x410 [i915]
[11015.563659] intel_atomic_commit_tail+0x1f4/0xd90 [i915]
[11015.563704] intel_atomic_commit+0x282/0x2b0 [i915]
[11015.588602] WARNING: CPU: 0 PID: 997 at /build/linux-hwe-O570pP/linux-hwe-4.15.0/drivers/gpu/drm/i915/intel_display.c:1247 assert_plane+0x98/0xa0 [i915]
[11015.588684] nf_nat_...

Read more...

tags: added: bios-outdated-1.46
removed: bios-outdated-1.42
summary: - [i915]] *ERROR* CPU pipe A FIFO underrun - Xorg glitches
+ [Lenovo ThinkPad X220] *ERROR* CPU pipe A FIFO underrun - Xorg glitches
1 comments hidden view all 120 comments

Hubert Hesse, to confirm this is resolved for you in Ubuntu, could you please either upgrade your 16.04 enablement stack as per https://wiki.ubuntu.com/Kernel/LTSEnablementStack or test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

sergwy (sergwy) wrote :

Still a problem in 18.04.1 with the latest HWE kernel.

Jan 11 10:33:02 sergey-tpd kernel: [ 54.881476] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 11 10:33:02 sergey-tpd kernel: [ 54.882306] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

Lenovo T570 Kubuntu 18.04.1

Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

Linux xxxx-xxx 4.18.0-13-generic #14~18.04.1-Ubuntu SMP Thu Dec 6 14:09:52 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Tom Mittelstaedt (1358-s) wrote :

Let me join this with the following `dmesg | tail`:

[Feb24 23:34] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 00:23] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 01:57] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 04:04] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 04:59] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 06:19] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 06:31] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[Feb25 06:47] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

4.18.0-15-generic #16-Ubuntu SMP Thu Feb 7 10:56:39 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
on an i7-6700

The flickering and the system crashes are gone, but the error still persits in the logs.

Tom Mittelstaedt (1358-s) wrote :
Download full text (3.2 KiB)

complement (sorry for multiple-comments):

$ dmesg | grep i915
[ 1.439662] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ 1.439938] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[ 1.443269] [drm] Initialized i915 1.6.0 20180514 for 0000:00:02.0 on minor 0
[ 1.523397] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 15.764955] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[56162.413053] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[59291.355801] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[64022.043888] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[68572.684020] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[84907.749926] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[131695.137832] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[140974.062510] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[152485.446459] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[155522.518586] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[164965.550908] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[165879.406055] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[178549.854547] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[185381.350517] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[187311.834886] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[188858.938318] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[195515.961747] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[195618.444271] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[206235.029303] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[217208.530378] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[222859.639505] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[225820.223051] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[231471.431276] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[239098.879129] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[242398.343295] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[247190.079036] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[247912.015060] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[248846.631100] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[258283.737675] [drm:intel_cpu_fifo_underrun_ir...

Read more...

Download full text (4.2 KiB)

---------- Forwarded message ---------
From: 678 <email address hidden>
Date: Sat, Mar 2, 2019 at 10:11 AM
Subject: Re: [Bug 1550779] Re: [Lenovo ThinkPad X220] *ERROR* CPU pipe A
FIFO underrun - Xorg glitches
To: Bug 1550779 <email address hidden>

On 02/03/19 12:40 AM, Tom Mittelstaedt wrote:
> complement (sorry for multiple-comments):
>
>
> $ dmesg | grep i915
> [ 1.439662] i915 0000:00:02.0: vgaarb: changed VGA decodes:
olddecodes=io+mem,decodes=io+mem:owns=io+mem
> [ 1.439938] [drm] Finished loading DMC firmware
i915/skl_dmc_ver1_27.bin (v1.27)
> [ 1.443269] [drm] Initialized i915 1.6.0 20180514 for 0000:00:02.0 on
minor 0
> [ 1.523397] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
> [ 15.764955] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops
i915_audio_component_bind_ops [i915])
> [56162.413053] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [59291.355801] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [64022.043888] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [68572.684020] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [84907.749926] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [131695.137832] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [140974.062510] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [152485.446459] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [155522.518586] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [164965.550908] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [165879.406055] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [178549.854547] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [185381.350517] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [187311.834886] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [188858.938318] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [195515.961747] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [195618.444271] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [206235.029303] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [217208.530378] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [222859.639505] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [225820.223051] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [231471.431276] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [239098.879129] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
CPU pipe A FIFO underrun
> [242398.343295] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
...

Read more...

shaju (shaju) wrote :
Download full text (4.6 KiB)

Certainly there is bug position which is continuing with my machine and
programe need attention..

On Sat, Mar 2, 2019 at 11:55 AM Shaju കോട്ടയം <email address hidden> wrote:

>
>
> ---------- Forwarded message ---------
> From: 678 <email address hidden>
> Date: Sat, Mar 2, 2019 at 10:11 AM
> Subject: Re: [Bug 1550779] Re: [Lenovo ThinkPad X220] *ERROR* CPU pipe A
> FIFO underrun - Xorg glitches
> To: Bug 1550779 <email address hidden>
>
>
>
> On 02/03/19 12:40 AM, Tom Mittelstaedt wrote:
> > complement (sorry for multiple-comments):
> >
> >
> > $ dmesg | grep i915
> > [ 1.439662] i915 0000:00:02.0: vgaarb: changed VGA decodes:
> olddecodes=io+mem,decodes=io+mem:owns=io+mem
> > [ 1.439938] [drm] Finished loading DMC firmware
> i915/skl_dmc_ver1_27.bin (v1.27)
> > [ 1.443269] [drm] Initialized i915 1.6.0 20180514 for 0000:00:02.0 on
> minor 0
> > [ 1.523397] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
> > [ 15.764955] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops
> i915_audio_component_bind_ops [i915])
> > [56162.413053] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [59291.355801] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [64022.043888] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [68572.684020] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [84907.749926] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [131695.137832] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [140974.062510] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [152485.446459] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [155522.518586] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [164965.550908] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [165879.406055] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [178549.854547] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [185381.350517] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [187311.834886] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [188858.938318] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [195515.961747] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [195618.444271] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [206235.029303] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [217208.530378] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [222859.639505] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR*
> CPU pipe A FIFO underrun
> > [225820.223051] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERRO...

Read more...

summary: - [Lenovo ThinkPad X220] *ERROR* CPU pipe A FIFO underrun - Xorg glitches
+ [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO
+ underrun
tags: added: bionic
removed: wily
tags: added: xenial
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Daniel van Vugt (vanvugt) wrote :

I suspect the Xorg modesetting driver's atomic logic might have something to do with this. Can someone experiencing the problem please try logging into 'Ubuntu on Wayland' and tell us if that avoids the issue?

Changed in xorg-server (Ubuntu):
status: New → Incomplete
Behrang (behrangsa) wrote :

I think this issue has been affecting me for a few years now but I just recently started to look into it.

My current system is Ubuntu 19.04 but this issue was present even when I was using 18.04 and 18.10 and even before that.

OS: Ubuntu 19.04
CPU: Intel Core i7 6700
Graphics (integrated only): HD Graphics 530 (Skylake GT2)

Anyway, from time to time only one of my monitors turn on. When that happens `dmesg | grep i915` prints this:

```
➜ ~ dmesg -e | grep i915
[ +0.000545] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ +0.000627] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[ +0.003052] [drm] Initialized i915 1.6.0 20181204 for 0000:00:02.0 on minor 0
[ +0.000036] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ +0.000047] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ +0.249846] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

➜ ~ dmesg -T | grep i915
[Sat Apr 27 17:47:08 2019] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[Sat Apr 27 17:47:08 2019] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[Sat Apr 27 17:47:09 2019] [drm] Initialized i915 1.6.0 20181204 for 0000:00:02.0 on minor 0
[Sat Apr 27 17:47:09 2019] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[Sat Apr 27 17:47:09 2019] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[Sat Apr 27 17:47:09 2019] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
```

When I switch to Wayland, sometimes none of my monitors turn on at all. Once when both turned on, I turned off one
and tried to turn it back on again, but it went into energy saving mode. Then `dmesg` was showing this:

```
➜ ~ dmesg -T | grep i915
[Sat Apr 27 18:14:17 2019] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[Sat Apr 27 18:14:17 2019] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[Sat Apr 27 18:14:18 2019] [drm] Initialized i915 1.6.0 20181204 for 0000:00:02.0 on minor 0
[Sat Apr 27 18:14:18 2019] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[Sat Apr 27 18:14:18 2019] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[Sat Apr 27 18:14:56 2019] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

➜ ~ dmesg -e | grep i915
[ +0.000664] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ +0.000861] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[ +0.016298] [drm] Initialized i915 1.6.0 20181204 for 0000:00:02.0 on minor 0
[ +0.000047] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ +0.000047] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ +23.689059] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

```

I have attached the complete dmesg output in case that might help.

Florian Hennig (tuxflo) wrote :

Since I'm also facing this bug I just want to confirm that the error also occurs on the latest mainline Kernel (5.1) and also on the current drm-tip kernel version (5.1.0.0994 from https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/2019-05-05/)

I'm trying to use an additional monitor on my X380 Yoga using an USB-C Dock. During the boot process the error message appears:
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO
After the boot process the monitor is sometimes enabled, but only a couple of seconds.

Tom Mittelstaedt (1358-s) wrote :

I'm facing this issue in the latest kernel mainline, too.
CPU is an Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz (which uses i915 graphics).

The graphic glitches were gone after some kernel update but the error messages in dmesg remained.

Florian Hennig (tuxflo) wrote :

If someone else has those issues with a USB-C Dock (Thunderbolt 3) I got rid of the issue by using the latest mainline Kernel:
 5.1.0-050100-generic #201905052130 SMP Mon May 6 01:32:59 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
and the following Kernel config settings (/etc/default/grub):

GRUB_CMDLINE_LINUX_DEFAULT=".... quiet splash intel_idle.max_cstate=4 i915.enable_psr=0 i915.enable_dc=0 i915.enable_fbc=0 i915.enable_dp_mst=0"

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
vinibali (vinibali) wrote :

I just recently created another report (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1848123).
So I'm using an HP 840 G5, connected with USB TypeC to Dock G4 which feeds two DP screens.
After each wake from S3 sleep, both displays are flickering and all the cores are clocked to 3,6GHz if I use the intel_pstate driver, the lid is closed. Only a cold boot helps this time.
I'll have a look on the Kernel parameters soon and update you.
BR

vinibali (vinibali) wrote :

i915.enable_dp_mst=0 seems to disable one of the external monitors.
$ modinfo i915 | grep enable_dp_mst
parm: enable_dp_mst:Enable multi-stream transport (MST) for new DisplayPort sinks. (default: true) (bool)

Daniel van Vugt (vanvugt) wrote :

Yes disabling multi-stream transport makes it a single stream, hence it can only then drive a single monitor.

vinibali (vinibali) wrote :

This time I've added 'i915.enable_psr=0 i915.enable_dc=0 i915.enable_fbc=0' to the kernel parameters. In the current session I had to manually reconnect the notebook to the docking station and after a few seconds, the displays came back to life. No flickering at all, it just took a little bit more time to came alive.
Previously I could manage the external displays to work this way, but these remain flickering even after 20 minutes.
But the CPU is clocked to 3.6GHz, kworker/0:1-kacpi_notify keep spiking the processor, I assume the lid open and close has triggered such action.
In the meanwhile set the ACPI module to debug mode and I can see these messages in the dmesg, seems to be some general purpose events but I couldn't find such (hex or dec) numeric ID in the linux/drivers/platform/x86

/trace_state), there are a lot of executions:
[ +0,000166] extrace-0141 ex_trace_point : Method Begin [0x000000003e97f7df:\_GPE._L69] execution.
[ +0,000003] extrace-0141 ex_trace_point : Method End [0x000000003e97f7df:\_GPE._L69] execution.
What could be this address? This system seems to laggy and the CPU is around 70 oC, normally it would be somewhere around 40-50 oC.

Regards

vinibali (vinibali) wrote :

Just a small update:
I have been using i915.enable_psr=0 i915.enable_dc=0 i915.enable_fbc=0 i915.enable_dp_mst=1 parameters for a few days, but except the very first or first two days when I unplugged the docking station, it doesn't helped at all.
So I decided to add error_capture=1 (record the GPU state following a hang) and a few days later complete it with a manual/udev disable for the i915 rc6. The kernel parameter has been removed (https://bugzilla.redhat.com/show_bug.cgi?id=1573482), however the function is still in the driver (/sys/class/drm/card0/power/rc6_enable:1).

Regards

vinibali (vinibali) wrote :
Karsten Natusch (tripod) wrote :

Since my upgrade from 19.04 to 19.10 my T430 is facing a similar problem with i915 fifo underruns:

The problem occurs by switching from user A to B. If user A is logged in and want to switch to another user B (e.g. admin), then after entering the credentials of the user B, the system hangs up.

Sometimes the system does not hang up directly. In this case the lock screen pops up and if I try then to enter the credentials of user B again, then the system hangs up. If I enter the credentials of the former already logged in user A, then system does not hang up.

vinibali (vinibali) wrote :

Do we have actually somebody assigned to this report? I've been playing with the module parameters but nothing seem to be helping.
I added the debug parameter today, because none of the i915.enable_hangcheck=1 i915.error_capture=1 i915.verbose_state_checks=1 were helpful.
Should I fill a bug report at Freedesktop?

Regards

Timo Aaltonen (tjaalton) wrote :

there's a big rewrite of DP MST being done upstream

https://patchwork.freedesktop.org/series/68359/

which is the last portion of it. You could try latest drm-tip mainline build from the mainline ppa to see if it's any better now.

anyway, having 'fifo underrun' in dmesg can mean many things, and likely isn't the same cause for everyone on this bug, so I'm not sure it's useful to have a 3+ year old bug about it open. File a new bug if you still see it with the latest Ubuntu release and/or upstream kernel.

Balint Reczey (rbalint) wrote :

@tjaalton I find this bug report useful since I can receive updates on how the situation evolves. If there are know separate subclasses of the issue which are fixed separately I agree that it would be a good idea to provide debugging steps here to classify each subclass and track the subclass as a separate bug.
When the error in the title fully goes away, the bug can be closed.

vinibali (vinibali) wrote :

Hi Timo,

I wanted to try the AMD64 version at: https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/2019-11-14/.
But only unsigned kernels are shipped and I couldn't switch from UEFI or boot unsigned kernels, because it's a corporate machine.
Do you have any ideas?

Regards

vinibali (vinibali) wrote :

@tjaalton?

Peter Vojnisek (pvojni) wrote :

It looks the same bug on my Linux Mint 19.2 Cinnamon, Linux Kernel: 4.15.0-72-generic
Using second second monitor with NVIDIA Corporation GF108M [GeForce GT 525M] graphics.
The error log is on tty1 console:
    [drm:intel_set_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
    [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A

tags: added: focal
papadop (papadolinux) wrote :
Download full text (6.7 KiB)

Hello,

I think I am experiencing the same issue so I am not opening a new bug report. Below is the description I also posted a question about:

I have upgraded to Kubuntu 20.04 from 19.10. Session went ok but after rebooting I noticed one or two times where my screen (external monitor connected via display port to my laptop) went on and off for 1-2 seconds. After the recent update to Kernel 5.4.0-40 and then to 5.4.0-42 these on and off instances are more frequent. System and sound etc works (doesn't hang) , only the screen goes black and on again, which is very annoying. This does not happen with HDMI cable connected, but instead there are some minor screen glitches, not very often though. I did not have any of those with 19.10...my system is details are shown below:. See especially the last part ie dmesg | grep -i i915.

Note that reverting to kernel 5.4.0-39 things go back to normal.

Operating System: Kubuntu 20.04
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.68.0
Qt Version: 5.12.8
Kernel Version: 5.4.0-40-generic
OS Type: 64-bit
Processors: 8 × Intel® Core™ i5-10210U CPU @ 1.60GHz
Memory: 15,5 GiB of RAM

lspci

00:00.0 Host bridge: Intel Corporation Device 9b61 (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics (rev 02)
00:12.0 Signal processing controller: Intel Corporation Comet Lake Thermal Subsytem
00:14.0 USB controller: Intel Corporation Device 02ed
00:14.2 RAM memory: Intel Corporation Device 02ef
00:15.0 Serial bus controller [0c80]: Intel Corporation Serial IO I2C Host Controller
00:16.0 Communication controller: Intel Corporation Comet Lake Management Engine Interface
00:17.0 SATA controller: Intel Corporation Comet Lake SATA AHCI Controller
00:1c.0 PCI bridge: Intel Corporation Device 02bc (rev f0)
00:1d.0 PCI bridge: Intel Corporation Device 02b0 (rev f0)
00:1d.1 PCI bridge: Intel Corporation Device 02b1 (rev f0)
00:1d.4 PCI bridge: Intel Corporation Device 02b4 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device 0284
00:1f.3 Audio device: Intel Corporation Device 02c8
00:1f.4 SMBus: Intel Corporation Device 02a3
00:1f.5 Serial bus controller [0c80]: Intel Corporation Comet Lake SPI (flash) Controller
01:00.0 PCI bridge: Intel Corporation JHL7540 Thunderbolt 3 Bridge [Titan Ridge 2C 2018] (rev 06)
02:00.0 PCI bridge: Intel Corporation JHL7540 Thunderbolt 3 Bridge [Titan Ridge 2C 2018] (rev 06)
02:01.0 PCI bridge: Intel Corporation JHL7540 Thunderbolt 3 Bridge [Titan Ridge 2C 2018] (rev 06)
02:02.0 PCI bridge: Intel Corporation JHL7540 Thunderbolt 3 Bridge [Titan Ridge 2C 2018] (rev 06)
03:00.0 System peripheral: Intel Corporation JHL7540 Thunderbolt 3 NHI [Titan Ridge 2C 2018] (rev 06)
3a:00.0 USB controller: Intel Corporation JHL7540 Thunderbolt 3 USB Controller [Titan Ridge 2C 2018] (rev 06)
3b:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader (rev 01)
3b:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
40:00.0 Network controller: Intel Corporation Wi-Fi 6 AX200 (rev 1a)
45:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM981

inxi ...

Read more...

Displaying first 40 and last 40 comments. View all 120 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.